<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	template="/WEB-INF/templates/menu_template.xhtml">

	<ui:define name="tituloPagina">#{msgListaPrecios.bcListaPrecioListar}</ui:define>

	<ui:define name="cuerpoPagina">
		<h:form id="form">
			<p:breadCrumb>
				<p:menuitem value="Inicio" url="${request.contextPath}/" />
				<p:menuitem value="#{msgListaPrecios.bcListaPrecio}" url="#" />
				<p:menuitem value="#{msgListaPrecios.bcListaPrecioListar}"
					url="${request.contextPath}/lista/precios/listar.faces" />
			</p:breadCrumb>

			<p:growl id="messages" showDetail="true" showSummary="true"
				for="msgGrowl" escape="false" />

			<p:dataTable id="listaPrecioList" var="objListaPrecio"
				value="#{beanListaPrecio.getListaPrecios()}" rows="10"
				paginator="true" paginatorPosition="bottom" multiViewState="true"
				paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
				rowsPerPageTemplate="5,10,15" lazy="true">

				<f:facet name="header">#{msgListaPrecios.tituloListar}</f:facet>

				<p:column headerText="#{msgListaPrecios.idListaPrecio}"
					style="width: 33%;">
					<h:outputText value="#{objListaPrecio.idListaPrecio}" />
				</p:column>

				<p:column headerText="#{msgListaPrecios.nombreListaPrecio}"
					style="width: 33%;">
					<h:outputText value="#{objListaPrecio.nombreListaPrecio}" />
				</p:column>

				<p:column headerText="#{msgListaPrecios.estado}" style="width: 33%;">
					<h:outputText
						value="#{beanListaPrecio.getEstadoNombre(objListaPrecio.estado)}" />
				</p:column>

			</p:dataTable>
		</h:form>

	</ui:define>

</ui:composition>